Bug 6517 - RSS 1 feed is missing <prism:number> element
RSS 1 feed is missing <prism:number> element
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Plug-ins
2.4.3
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-17 21:04 PDT by James MacGregor
Modified: 2013-07-17 11:49 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects: OCS 2.3.3


Attachments
Temptative patch (777 bytes, patch)
2013-07-14 09:49 PDT, Andrea Marchitelli
Details | Diff
proposed and revised patch (806 bytes, patch)
2013-07-15 23:07 PDT, Andrea Marchitelli
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2011-03-17 21:04:17 PDT
(Courtesy of http://pkp.sfu.ca/support/forum/viewtopic.php?f=8&t=7298&p=28162#p28162)

The webfeed gateway plugin's RSS 1 output only provides a <prism:volume> element for issues, even when issue number and years are provided. Number and year should be included, if possible. I'll note that, according to http://nurture.nature.com/rss/modules/mod_prism.html, there is a <prism:number> element; but there's no record of a <prism:year> element there. 

Since RSS 2 and ATOM both use different DTDs, I don't believe this is an issue there.
Comment 1 Juan Pablo Alperin 2011-07-21 14:50:04 PDT
added some width and justification for the file grid columns
https://github.com/pkp/omp/commit/cf930af2f5888ad9dae78c85a8e284f48890c595
Comment 2 Alec Smecher 2011-07-21 15:09:12 PDT
(Guessing comment #1 was made against the wrong entry.)
Comment 3 Andrea Marchitelli 2013-07-14 09:49:33 PDT
Created attachment 3943 [details]
Temptative patch

Including issue identification in prism:volume
Comment 4 Andrea Marchitelli 2013-07-14 09:51:43 PDT
Comment on attachment 3943 [details]
Temptative patch

> 				<dc:date>{$article->getDatePublished()|date_format:"%Y-%m-%d"}</dc:date>
> 				<prism:publicationDate>{$article->getDatePublished()|date_format:"%Y-%m-%d"}</prism:publicationDate>
> 			{/if}
>-			<prism:volume>{$issue->getVolume()|escape}</prism:volume>
>+			<prism:volume>{$issue->getIssueIdentification()|escape}</prism:volume>
> 		</item>
> 	{/foreach}{* articles *}
> {/foreach}{* sections *}
Comment 5 Alec Smecher 2013-07-15 12:51:13 PDT
Andrea, I don't think that patch is correct for the PRISM PAM schema. See:
http://www.prismstandard.org/specifications/3.0/pam_guide_2.2.pdf

"volume (prism:) Additional identifier for the publication where the resource appeared, providing the Volume portion of the common Volume, Number scheme."

I'd suggest adding a "number:prism" node to contain the volume number; at a glance, Prism appears to favour a Volume, Number scheme (as quoted above).
Comment 6 Andrea Marchitelli 2013-07-15 23:07:09 PDT
Created attachment 3944 [details]
proposed and revised patch

Alec, you are right; I corrected the patch that I proposed.
Comment 7 Alec Smecher 2013-07-17 11:46:51 PDT
Thanks, Andrea; committed.
Comment 8 Alec Smecher 2013-07-17 11:47:02 PDT
Add prism volume number
https://github.com/pkp/ojs/commit/9ccfcb239d51a5fac5e71923e8ed8d4324e363d4
Comment 9 Alec Smecher 2013-07-17 11:49:01 PDT
Add prism volume number
https://github.com/pkp/ojs/commit/26de04f3b1a4e806b0058cd2b9281a26b6c8999b